# Class OtpErlangFloat

java.lang.Object
com.ericsson.otp.erlang.OtpErlangObject
com.ericsson.otp.erlang.OtpErlangDouble
com.ericsson.otp.erlang.OtpErlangFloat

All Implemented Interfaces:
  `Serializable, Cloneable`

public class OtpErlangFloat extends OtpErlangDouble
Provides a Java representation of Erlang floats and doubles.

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class OtpErlangObject

`OtpErlangObject.Hash`

## Field Summary

### Fields inherited from class OtpErlangObject

`hashCodeValue`

## Constructor Summary

Constructors
Constructor
Description
`OtpErlangFloat(float f)`
Create an Erlang float from the given float value.
`OtpErlangFloat(OtpInputStream buf)`
Create an Erlang float from a stream containing a float encoded in Erlang external format.

## Method Summary

### Methods inherited from class OtpErlangDouble

`doHashCode, doubleValue, encode, equals, floatValue, toString`

### Methods inherited from class OtpErlangObject

`bind, clone, decode, hashCode, match`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OtpErlangFloat

public OtpErlangFloat(float f)
Create an Erlang float from the given float value.

### OtpErlangFloat

public OtpErlangFloat(OtpInputStream buf) throws OtpErlangDecodeException, OtpErlangRangeException
Create an Erlang float from a stream containing a float encoded in Erlang external format.

Parameters:
  `buf` - the stream containing the encoded value.
Throws:
  `OtpErlangDecodeException` - if the buffer does not contain a valid external representation of an Erlang float.
  `OtpErlangRangeException` - if the value cannot be represented as a Java float.